Package org.apache.solr.common.util

# Class IOUtils

java.lang.Object
org.apache.solr.common.util.IOUtils

public class IOUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`IOUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`closeQuietly(AutoCloseable closeable)`
`static void`
`closeQuietly(Iterable<? extends AutoCloseable> closeables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IOUtils

public IOUtils()

## Method Details

### closeQuietly

public static void closeQuietly(Iterable<? extends AutoCloseable> closeables)

### closeQuietly

public static void closeQuietly(AutoCloseable closeable)